#include<iostream>
using namespace std;
int main()
{
    int n, m, num = 0;
    int x[10000][2], y[10000][3];
    cin>>n>>m;
    for(int i = 0; i < n; i++)
    {
        for(int j = 0; j < 2; j++)
        {
        cin >> x[i][j];
        }
    }

    for(int i = 0; i < m; i++)
    {
        for(int j = 0; j < 3; j++)
        {
            cin >> y[i][j];
        }
    }

    for(int i = 0; i < m; i++)
    {
        int ik = y[i][0];
        int idk = y[i][1];
        int razl= idk-ik;
        for(int k = 0; k < razl; k++)
        {
            while(x[i][ik]<=x[i][idk])
            {
                if(x[i][0]<=y[i][2]<=x[i][1])
                {
                    num = num + 1;
                }
                ik= ik+1;
            }
            cout<<num<<endl;
            num = 0;      
        }
    }
}